---
title: "Retrieve BA Banks By Code"
slug: "retrieve-ba-banks-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-ba-banks-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve BA Banks By Code

Get/sys-rest-api/rest/1/babank

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Select by Bank Finder
- By UUID

#### Select by Bank Finder

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Example Value |
| --- | --- | --- |
| `bankCode` | Code of the bank | `122105155` |

#### By UUID

This is an optional finder for querying a specific equipment rate by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /sys-rest-api/rest/1/babank/:F05C2AA2FF397C01E05316821FACEF9D |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleBaBankFinder; bankCode=122105155
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleBnkBankCode:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='28c0df9b-7bfa-4745-952f-71d791947282'>application/json</option>
</select>

```json
{
  "items": [
    {
      "BnkBankCode": "122105155",
      "BnkBankName": "US Bank AZ",
      "BnkShortName": "US Bank",
      "BnkUser": "ARCORO",
      "BnkLastUpdDate": "2023-01-03T19:23:29Z",
      "BnkExchgProg": null,
      "BnkStmtProg": null,
      "BnkPayordersProg": null,
      "BnkCountryCode": null,
      "BnkSwift": null,
      "BnkActiveFlag": null,
      "BnkJrnlCode": null,
      "BnkExchgFileName": null,
      "BnkStmtFileName": null,
      "BnkPayordersFileName": null,
      "BnkCreateUser": null,
      "BnkCreateDate": null,
      "BnkLastUpdUser": null,
      "BnkAltCode": null,
      "BnkRoutingCode": " 122105155",
      "BnkAchLogonText": null,
      "BnkAccNumFormatFlag": null,
      "BnkBankId": null,
      "BnkPassword": null,
      "BnkPpayFileFmt": null,
      "BnkPpayFileName": null,
      "BnkTenantId": "VF389BTEQP11127",
      "BnkVUuid": "F16200B2B28A3E7AE05316821FAC31FF",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/babank/F16200B2B28A3E7AE05316821FAC31FF",
          "name": "babank",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/babank/F16200B2B28A3E7AE05316821FAC31FF",
          "name": "babank",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 5,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/babank",
      "name": "babank",
      "kind": "collection"
    }
  ]
}
```

object
